<?php
namespace Claromentis\Mailgun\Model;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_9c050c786fc87170cbb84" . "fc6a8b13cb6" => base64_decode("YXR0YW" . "NobWVu" . "dC0="), "_97ea09a" . "7faf27c5" . "2c6eff69" . "773df1d8" . "a" => base64_decode("dGltZXN" . "0YW1w"), "_d706c160e45bf7434" . "fff82a5976f0e19" => base64_decode("YXJyYXlfa2V5" . "cw=="), "_1d6c68a0262" . "e8fa0bed1215" . "b7224a98e" => base64_decode("cmVjaXBpZW" . "50"), "_618a4aeb9fecc4592a4521f34876fa" . "29" => base64_decode("ZnJvbQ=" . "="), "_44e986c04f41a08b56a" . "383c7b3a88ee2" => base64_decode("c2VuZGV" . "y"), "_f39f5346e313e4dd1ac3a7bd8032bed" . "a" => base64_decode("c3Vic3" . "RyX2Nv" . "bXBhcm" . "U="), "_6e1c717cf3cbf1" . "af982ed74d4336b" . "7f1" => base64_decode("Ym9keS1o" . "dG1s"), "_8c575917" . "cbaedf1e7" . "efae84939" . "402bff" => base64_decode("U3ViamVjdA=" . "="), "_a1e707d02a23" . "6dadebd15a45e" . "65ebdb6" => base64_decode("YXR0YWNo" . "bWVudC1j" . "b3VudA=="), "_f589476007fa133f457c3ef29ddfa56" . "6" => base64_decode("VG8" . "="), "_956cd32298a22" . "9f9768f1096f07" . "7ace3" => base64_decode("Ym9keS1wbGFpbg=" . "="));
use Claromentis\Core\Mail\Receive\Contract\MailAttachment;
use Claromentis\Core\Mail\Receive\Contract\MailMessage;
use Claromentis\Core\Util\ArrayUtil;




class MailgunMessage implements MailMessage
{
    protected $message_data;
    protected $attachments_data;
    protected $attachments;
    
    
    
    
    
    public function __construct($_a3d82c5df38e194c9c73e3ccb4223bbc = [], $_4e7ab34a53ffb13eb0838003f33034d4 = [])
    {
        $this->message_data = $_a3d82c5df38e194c9c73e3ccb4223bbc;
        $this->attachments = $_4e7ab34a53ffb13eb0838003f33034d4;
        foreach ($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_d706c160e45bf7" . "434fff82a5976f0" . "e19"]($this->message_data) as $key) {
            if ($key !== $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_a1e707d02a236dadebd15" . "a45e65ebdb6"] && $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_f39f5346e313e4dd1ac3a7bd8032b" . "eda"]($key, $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_9c050c786fc87170cbb84fc6a8b" . "13cb6"], 0, 11) === 0) {
                $this->attachments[] = new MailgunAttachmentString($key, $this->message_data[$key]);
            }
        }
    }
    
    
    
    
    public function GetRecipientAddress() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_1d6c68a02" . "62e8fa0bed" . "1215b7224a" . "98e"]);
    }
    
    
    
    
    
    
    public function GetFrom() : string
    {
        return ArrayUtil::getScalarValue($this->message_data[$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_618a4aeb9fecc4592a452" . "1f34876fa29"]], null);
    }
    
    
    
    
    
    
    
    public function GetTo() : string
    {
        return ArrayUtil::getScalarValue($this->message_data[$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_f589476007fa133f457c3ef29ddfa56" . "6"]], null);
    }
    
    
    
    
    public function GetSubject() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_8c575917cbaedf1e7efae" . "84939402bff"]);
    }
    
    
    
    
    public function GetBodyHtml() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_6e1c717cf3cbf1af982ed74d4336" . "b7f1"]);
    }
    
    
    
    
    public function GetBodyText() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_956cd32298a229f9768f1096f07" . "7ace3"]);
    }
    
    
    
    
    public function GetDate() : \Date
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = new \Date(ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_97ea09a7faf27c52c6eff" . "69773df1d8a"]));
        return $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    
    
    
    
    public function GetSenderAddress() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_44e986c04f41a08b56a383c7b3a8" . "8ee2"]);
    }
    public function GetAttachments()
    {
        return $this->attachments;
    }
}